export type Attribute = unknown;
export type Attributes = Record<string, Attribute>;
export declare const inheritAttributes: (el: HTMLElement, attributes?: string[]) => Attributes;
type Callback = (attributeName: string, newValue: string) => void;
export declare class AttributeObserver {
    private element;
    private callback;
    private mutationObserver;
    constructor(element: HTMLElement, callback: Callback);
    startObserving(attributes: string[]): void;
    stopObserving(): void;
}
export {};
